# Diagnosis Details

| **API URL**     | {{url}}/spice-service/patient/diagnosis-details |
| --------------- | ----------------------------------------------- |
| **Method**      | POST                                            |
| **Description** | Fetch the patient diagnosis detail              |

#### **Input:** <a href="#diagnosisdetail-v2-input" id="diagnosisdetail-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| patientReference       | Bigint   | Yes           | Patient Reference                                                                                                                       |
| type                   | String   | Yes           | Medical review type                                                                                                                     |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#diagnosisdetail-v2-sampleinput" id="diagnosisdetail-v2-sampleinput"></a>

{\
"patientReference": "868",\
"type": "ABOVE\_FIVE\_YEARS"\
}

#### **Output:** <a href="#diagnosisdetail-v2-output" id="diagnosisdetail-v2-output"></a>

| **Field Name**    | **Type** | **Comments**                                   |
| ----------------- | -------- | ---------------------------------------------- |
| message           | String   | The patient diagnosis was updated successfully |
| diseaseCategoryId | Bigint   | Disease Category Id                            |
| diseaseCategory   | String   | Disease Category                               |
| diseaseCondition  | String   | The disease Condition of patient               |
| type              | String   | Medical review type                            |
| status            | Boolean  | Status of the entity                           |

#### **Sample Output:** <a href="#diagnosisdetail-v2-sampleoutput" id="diagnosisdetail-v2-sampleoutput"></a>

```
{
  "message": "Patient diagnosis updated successfully.",
  "entity": [
    {
      "diseaseCategoryId": null,
      "diseaseConditionId": null,
      "diseaseCategory": "uncomplicatedMalaria",
      "notes": null,
      "diseaseCondition": "uncomplicatedMalaria",
      "type": "UNDER_FIVE_YEARS"
    },
    {
      "diseaseCategoryId": null,
      "diseaseConditionId": null,
      "diseaseCategory": "otherNotes",
      "notes": null,
      "diseaseCondition": "Haj",
      "type": "UNDER_FIVE_YEARS"
    }
  ],
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/diagnosis-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
